curl --request GET \
--url 'https://api.nsr.stateset.com/api/v1/beliefs/{proposition}/history' \
--header 'X-API-Key: YOUR_API_KEY'
{
"events": [
{
"new_confidence": 1,
"old_confidence": 1,
"revision_type": "string",
"source": "string",
"timestamp": "string"
}
],
"proposition": "string"
}
Get history of revisions for a belief
Required scope: read
GET
/
api
/
v1
/
beliefs
/
{proposition}
/
history
curl --request GET \
--url 'https://api.nsr.stateset.com/api/v1/beliefs/{proposition}/history' \
--header 'X-API-Key: YOUR_API_KEY'
{
"events": [
{
"new_confidence": 1,
"old_confidence": 1,
"revision_type": "string",
"source": "string",
"timestamp": "string"
}
],
"proposition": "string"
}
Required scope:
read
Path parameters
string
required
The proposition
Response
BeliefHistoryResponse
RevisionEventResponse[]
required
string
required
Status codes
| Code | Meaning |
|---|---|
200 | Belief history |
401 | Unauthorized — missing or invalid credentials |
403 | Forbidden — the key/token lacks the required scope |
429 | Rate limited — see Retry-After / X-RateLimit-Reset |
curl --request GET \
--url 'https://api.nsr.stateset.com/api/v1/beliefs/{proposition}/history' \
--header 'X-API-Key: YOUR_API_KEY'
{
"events": [
{
"new_confidence": 1,
"old_confidence": 1,
"revision_type": "string",
"source": "string",
"timestamp": "string"
}
],
"proposition": "string"
}